
QGIS Application - Bug report #1472

Very slow shapefile editing, CPU usage maxes out. 1.0, on Intrepid AMD64

2009-01-01 10:28 AM - Ilija Milicevic -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11532

Description

When I open a reasonably small shapefile and toggle editing, it takes a very long time (30-60sec for this particular 1.7Mb dataset) to

toggle editing, then to open the attribute table and each time I select a new feature. My CPU usage maxes out in the process.. This issue

was not present with 0.11, with the same datasets.

The package was downloaded through Synaptic, using http://ppa.launchpad.net/qgis/ubuntu intrepid main

History

#1 - 2009-01-01 10:33 AM - Ilija Milicevic -

Download link for the dataset in question. Larger datasets took even longer to perform the editing operations. 

http://mesa.geographynetwork.com/out/data/at_tigeresri6709103134.zip

#2 - 2009-01-02 11:57 AM - Jürgen Fischer

Replying to [comment:1 [[FiReSTaRT]]]:

Download link for the dataset in question. Larger datasets took even longer to perform the editing operations. 

http://mesa.geographynetwork.com/out/data/at_tigeresri6709103134.zip

The link didn't work for me, but I downloaded http://www2.census.gov/geo/tiger/TIGER2008/tl_2008_us_state.zip and could reproduce your problems.

Are you sure you used the same datasets with 0.11?  Looks like QGIS is very slow on polygons (or all features) with an huge number of points (ie. drawing

of polygons (Qt), highlighting polygons, area calculations and more).

commit:80a8b8b6 (SVN r9917) speeds up highlighting of polygons a bit.

#3 - 2009-01-02 12:37 PM - Ilija Milicevic -

I'm positive that toggling editing, opening the attribute table and switching between highlighted features (with editing on) worked A LOT faster on 0.11 and

without the huge CPU usage. With 0.11 I have been able to switch between various attribute table entries and edit them in real time.

I just tested QGIS on a 32bit machine (P4 1.4, 1Gb) and also replicated every aspect of the problem. Ofcourse everything took even longer than on my

regular 64bit machine (AMD QL-60 2x2.0Ghz, 4Gb).

#4 - 2009-01-02 01:37 PM - Jürgen Fischer
Replying to [comment:4 [[FiReSTaRT]]]:

I'm positive that toggling editing, opening the attribute table and switching between highlighted features (with editing on) worked A LOT faster on

0.11 and without the huge CPU usage.

Just to be clear.  You did use the same dataset (ie. polygons with lots of points.  for example in the above dataset Texas has ~60000 points).

#5 - 2009-01-02 02:19 PM - Jürgen Fischer

I built 0.11 again and don't see much difference - except it's a bit slower.  I don't see painful delays though.

#6 - 2009-01-02 04:03 PM - Ilija Milicevic -

Jef, I'm open to suggestions on how to demonstrate the issues.. I could do a screenshot video of the process, but it would be too large to post over here. If

you can e-mail me ftp server info or your msn or an e-mail account that would be ok for 10megs and change, I'd be more than happy to send you all of the

relevant info. 

The bottom line is that commercial packages (well, at least ESRI) can perform the same functions on the same datasets in real time. If Open Source apps

are ever going to become a viable alternative, they need to be able to handle 1-3MB shapefiles downloaded from government sites with reasonable speed.

In any case, I truly appreciate your work gentlemen and will try to assist you to the best of my limited ability.

#7 - 2009-01-02 07:16 PM - Jürgen Fischer

Replying to [comment:7 [[FiReSTaRT]]]:

Jef, I'm open to suggestions on how to demonstrate the issues.. I could do a screenshot video of the process, but it would be too large to post over

here.

You didn't answer the question, if you were using the same dataset with 0.11 and 1.0.

Can you reproduce the problem with the dataset I posted?

If not, please provide a working link to the data you use or the arguments necessary to produce a similar download at mesa.geographynetwork.com.

The bottom line is that commercial packages (well, at least ESRI) can perform the same functions on the same datasets in real time.  If Open Source

apps are ever going to become a viable alternative, they need to be able to handle 1-3MB shapefiles downloaded from government sites with

reasonable speed.

Well, obviously there must be something different between your setups and mine.  I tried on my 64bit Linux box and on Windows.  Both show reasonable

speed.  And I tried with 0.11 and didn't see a big performance difference - except for identify on polygons with many points, which is much quicker in 1.0

now, than it was on 0.11.

#8 - 2009-01-03 10:14 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

2025-04-27 2/3



thanks for supplying your dataset.

Closing this bug, as it turned out to be the rendering problem related to semi-transparent vertex markers.

For reference: http://lists.osgeo.org/pipermail/qgis-developer/2008-April/003582.html

#9 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
